## lerc 3.0%2Bds

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.11)
project (Lerc)

include(GNUInstallDirs)

set(CMAKE_CXX_STANDARD 17)

file(GLOB SOURCES
    "src/LercLib/*"
    "src/LercLib/Lerc1Decode/*"
    "src/LercLib/include/*"
)

# Make an option, defaulting to shared libs, but allow -DBUILD_SHARED_LIBS=OFF
option (BUILD_SHARED_LIBS "Build shared libraries (set to OFF to build static libs)" ON)

# If no SHARED or STATIC is specified explicitly, add_library will honor BUILD_SHARED_LIBS
add_library(Lerc ${SOURCES})

set_target_properties(Lerc
    PROPERTIES
    PUBLIC_HEADER "src/LercLib/include/Lerc_types.h;src/LercLib/include/Lerc_c_api.h")

if(BUILD_SHARED_LIBS)
    set_target_properties(Lerc PROPERTIES DEFINE_SYMBOL LERC_EXPORTS)
endif()

install(
    TARGETS Lerc
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
    PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

=== debian/tests/control ===
Tests: python3
Depends: liblerc3, python3-lerc

## lerc 3.0+ds

=== debian/changelog ===
lerc (3.0+ds-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 08 Dec 2021 10:58:37 +0000

lerc (3.0+ds-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #998171).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 02 Nov 2021 14:24:34 +0000

=== debian/control ===
Source: lerc
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: libs
Priority: optional
Testsuite: autopkgtest-pkg-python
Build-Depends: cmake,
               debhelper-compat (= 12),
               dh-python,
               pkg-kde-tools,
               python3-all,
               python3-numpy,
               python3-setuptools
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/lerc
Vcs-Git: https://salsa.debian.org/debian-gis-team/lerc.git
Homepage: https://github.com/Esri/lerc
Rules-Requires-Root: no

Package: liblerc3
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Limited Error Raster Compression library
 LERC is an open-source image or raster format which
 supports rapid encoding and decoding for any pixel
 type (not just RGB or Byte). Users set the maximum
 compression error per pixel while encoding, so the
 precision of the original input image is preserved
 (within user defined error bounds).

Package: liblerc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liblerc3 (= ${binary:Version}),
         ${misc:Depends}
Description: Limited Error Raster Compression library (Development files)
 LERC is an open-source image or raster format which
 supports rapid encoding and decoding for any pixel
 type (not just RGB or Byte). Users set the maximum
 compression error per pixel while encoding, so the
 precision of the original input image is preserved
 (within user defined error bounds).
 .
 This is a development package of LERC.

Package: python3-lerc
Architecture: all
Section: python
Depends: liblerc3,
         python3-numpy,
         ${python3:Depends},
         ${misc:Depends}
Description: Python 3 bindings to the Limited Error Raster Compression library
 LERC is an open-source image or raster format which
 supports rapid encoding and decoding for any pixel
 type (not just RGB or Byte). Users set the maximum
 compression error per pixel while encoding, so the
 precision of the original input image is preserved
 (within user defined error bounds).
 .
 This is a Python package of LERC.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')


export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export PYBUILD_NAME=lerc

%:
	dh $@ --with python3,pkgkde_symbolshelper --buildsystem=cmake

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --builddirectory build-static
	dh_auto_clean --buildsystem=pybuild --sourcedirectory=OtherLanguages/Python
	$(RM) -r OtherLanguages/Python/lerc.egg-info

override_dh_auto_configure:
	dh_auto_configure
	dh_auto_configure --builddirectory build-static -- -DBUILD_SHARED_LIBS=FALSE

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory build-static

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	env LD_LIBRARY_PATH=$(shell dirname $(CURDIR)/*/libLerc.so) PYTHONPATH=$(CURDIR)/OtherLanguages/Python \
		python3 -c "import lerc; assert lerc.test() == 0"
endif

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild -ppython3-lerc --sourcedirectory=OtherLanguages/Python
	dh_auto_install --builddirectory build-static
	dh_auto_install

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(UPSTREAM_VERSION) -c0

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v|lerc)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/lerc-$1.$2/,\
repacksuffix=+ds \
https://github.com/Esri/lerc/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|lerc)?[\-\_]?(\d\S+(?<!post\d))\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## lerc 4.0.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,9 @@
-cmake_minimum_required (VERSION 3.11)
-project (Lerc)
+cmake_minimum_required(VERSION 3.12)
+
+project(Lerc
+        DESCRIPTION "Limited Error Raster Compression"
+        HOMEPAGE_URL "https://github.com/Esri/lerc"
+        VERSION 4.0.0) # Keep in sync with Lerc_c_api.h
 
 include(GNUInstallDirs)
 
@@ -22,7 +26,14 @@
     PUBLIC_HEADER "src/LercLib/include/Lerc_types.h;src/LercLib/include/Lerc_c_api.h")
 
 if(BUILD_SHARED_LIBS)
-    set_target_properties(Lerc PROPERTIES DEFINE_SYMBOL LERC_EXPORTS)
+    set_target_properties(Lerc
+        PROPERTIES
+        SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR}
+        DEFINE_SYMBOL LERC_EXPORTS)
+else()
+    set_target_properties(Lerc
+        PROPERTIES
+        COMPILE_DEFINITIONS LERC_STATIC)
 endif()
 
 install(
@@ -32,3 +43,8 @@
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
     PUBLIC_HEADER DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
 )
+
+# Configure and install pkgconfig file
+configure_file(Lerc.pc.in ${CMAKE_CURRENT_BINARY_DIR}/Lerc.pc @ONLY)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/Lerc.pc
+        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== debian/changelog ===
lerc (4.0.0+ds-5ubuntu1) plucky; urgency=medium

  * debian/liblerc4.symbols: 
    - Mark inlined symbol as optional. This symbol may or may not exist
      depending on optimization.

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 22 Nov 2024 10:01:31 +0100

lerc (4.0.0+ds-5) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.

  [ Antonio Valentino ]
  * debian/rules:
    - Enable optimize=+lto.
  * Update symbol file for amd64.
  * Update dates in d/copyright.

  [ Helmut Grohne ]
  * Fix FTCBFS: Demote python dependencies to B-D-I. (Closes: #1086690).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Tue, 05 Nov 2024 06:45:54 +0000

lerc (4.0.0+ds-4) unstable; urgency=medium

  * New d/clean file.
  * Update symbolfile.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 03 Dec 2023 16:46:30 +0000

lerc (4.0.0+ds-3) unstable; urgency=medium

  [ Antonio Valentino ]
  * debian/rules:
    - remove -c0 override for dpkg-gensymbols on Ubuntu (Closes: #1013146).
      See also https://salsa.debian.org/debian-gis-team/lerc/-/merge_requests/1.
  * debian/control:
    - update package description.
    - build depend on architecture-is-little-endian.
  * Switch to autopkgtest-pkg-pybuild and remove the no
    longer needed d/tests folder.
  * Update dates in d/copyright.

  [ Bas Couwenberg ]
  * Enable numpy3 dh helper.
  * Enable Salsa CI.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Switch to dh-sequence-*.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Sep 2023 08:20:46 +0000

lerc (4.0.0+ds-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Update library package name.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 15 Oct 2022 08:54:09 +0000

lerc (4.0.0+ds-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 31 Jul 2022 07:29:34 +0000

lerc (4.0.0+ds-1~exp2) experimental; urgency=medium

  * Update symbol file for all architectures.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 30 Jul 2022 09:49:42 +0000

lerc (4.0.0+ds-1~exp1) experimental; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.6.1, no changes.
  * Use supported python3 versions in autopkgtest.
  * Use #PACKAGE# substitution in symbols file.
  * Include pkg-config file in liblerc-dev.

  [ Antonio Valentino ]
  * New upstream release.
  * debian/copyright
    - exclude pre-built binaries and unused language bindings
      located in OtherLanguages
    - update copyright date.
  * debian/tests:
    - add test dependency on python3-all.
  * debian/patches:
    - drop 0001-Specify-the-soversion.patch and
      0002-Use-system-libLerc.patch: applied upstream.
  * Update the package name to match soname.
  * Update symbol file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 23 Jul 2022 07:34:08 +0000

=== debian/control ===
Source: lerc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: libs
Priority: optional
Testsuite: autopkgtest-pkg-pybuild
Build-Depends: architecture-is-little-endian,
               cmake,
               debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               pkg-kde-tools,
               python3-numpy <!nocheck>
Build-Depends-Indep: dh-sequence-numpy3,
                     dh-sequence-python3,
                     python3-all,
                     python3-numpy,
                     python3-setuptools
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/lerc
Vcs-Git: https://salsa.debian.org/debian-gis-team/lerc.git
Homepage: https://github.com/Esri/lerc
Rules-Requires-Root: no
Description: Limited Error Raster Compression library
 LERC is an open-source image or raster format which
 supports rapid encoding and decoding for any pixel
 type (not just RGB or Byte). Users set the maximum
 compression error per pixel while encoding, so the
 precision of the original input image is preserved
 (within user defined error bounds).

Package: liblerc4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

Package: liblerc-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: liblerc4 (= ${binary:Version}),
         ${misc:Depends}
Description: ${source:Synopsis} (Development files)
 ${source:Extended-Description}
 .
 This is a development package of LERC.

Package: python3-lerc
Architecture: all
Section: python
Depends: liblerc4,
         ${python3:Depends},
         ${misc:Depends}
Description: Python 3 bindings to the ${source:Synopsis}
 ${source:Extended-Description}
 .
 This is a Python package of LERC.

=== debian/rules ===
--- 
+++ 
@@ -7,17 +7,16 @@
 UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto
 export PYBUILD_NAME=lerc
 
 %:
-	dh $@ --with python3,pkgkde_symbolshelper --buildsystem=cmake
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_clean:
 	dh_auto_clean
 	dh_auto_clean --builddirectory build-static
-	dh_auto_clean --buildsystem=pybuild --sourcedirectory=OtherLanguages/Python
-	$(RM) -r OtherLanguages/Python/lerc.egg-info
+	if command -v pybuild >/dev/null; then dh_auto_clean --buildsystem=pybuild --sourcedirectory=OtherLanguages/Python; fi
 
 override_dh_auto_configure:
 	dh_auto_configure
@@ -33,10 +32,19 @@
 		python3 -c "import lerc; assert lerc.test() == 0"
 endif
 
-override_dh_auto_install:
+execute_after_dh_auto_install:
+	dh_auto_install --builddirectory build-static
+
+override_dh_auto_install-indep:
 	dh_auto_install --buildsystem=pybuild -ppython3-lerc --sourcedirectory=OtherLanguages/Python
-	dh_auto_install --builddirectory build-static
-	dh_auto_install
 
+# Ubuntu wants the build to fail when symbols disappear
 override_dh_makeshlibs:
+ifneq ($(shell dpkg-vendor --query vendor),Ubuntu)
 	dh_makeshlibs -- -v$(UPSTREAM_VERSION) -c0
+else
+	dh_makeshlibs -- -v$(UPSTREAM_VERSION)
+endif
+
+override_dh_numpy3:
+	dh_numpy3 -p python3-lerc

## lerc control-0.0.24

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = LiveEndpointResponseClientdoc
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
Sphinx==1.7.8
